# -*- coding: cp1251 -*-


"""
Tool Name:     Create Inset Map
Source Name:   CreateInsetMap.py
Version:       ArcGIS 10.x
Author:        Anatoly Baranov
Organization:  VSEGEI
Description:   Clips multiple shp-files by mask and puts
    result files in the same name directories
"""


import arcpy
import os


inputLayers = arcpy.GetParameterAsText(0).split(';')
mask = arcpy.GetParameterAsText(1)
outFolder = arcpy.GetParameterAsText(2)


for layer in inputLayers:
    if layer[0] == "'" and layer[-1] == "'":
        layer = layer[1:-1]
    dirName, fileName = os.path.split(layer)
    if len(dirName.split('\\')) > 2:
        relDirName = dirName.split('\\')[-2] + '\\' + dirName.split('\\')[-1]
        if not os.path.exists(outFolder + '\\' + dirName.split('\\')[-2]):
            os.mkdir(outFolder + '\\' + dirName.split('\\')[-2])
    else:
        relDirName = 'Clip_Folder'

    folder = outFolder + '\\' + relDirName

    if os.path.exists(folder):
        arcpy.Clip_analysis(layer, mask, folder + '\\' + fileName)
    else:
        os.mkdir(folder)
        arcpy.Clip_analysis(layer, mask, folder + '\\' + fileName)
