# -*- coding: cp1251 -*-

"""
Tool Name:     MultiMapDocumentExport
Source Name:   MultiMapDocumentExport.py
Version:       ArcGIS 10.x
Author:        Anatoly Baranov
Organization:  VSEGEI
Description:   
"""


##################################### I N P U T S #####################################

import arcpy
import arcpy.mapping as mp


files = arcpy.GetParameterAsText(0).split(';')
fmt = arcpy.GetParameterAsText(1)
output_folder = arcpy.GetParameterAsText(2)
resolution = int(arcpy.GetParameterAsText(3))


formats_list = {
    'AI' : mp.ExportToAI,
    'BMP' : mp.ExportToBMP,
    'EMF' : mp.ExportToEMF,
    'EPS' : mp.ExportToEPS,
    'GIF' : mp.ExportToGIF,
    'JPEG' : mp.ExportToJPEG,
    'PDF' : mp.ExportToPDF,
    'PNG' : mp.ExportToPNG,
    'SVG' : mp.ExportToSVG,
    'TIFF' : mp.ExportToTIFF
}

##################################### P R O C E S S I N G #####################################

# deleting extra quotes, auto adding by tool
for i in range(len(files)):
    if files[i][0] == "'" and files[i][-1] == "'":
        files[i] = files[i][1:-1]


for name in files:
    out_name = name.split('\\')[-1]
    out_name = out_name.split('.')[0]
    mxd = arcpy.mapping.MapDocument(name)
    arcpy.AddMessage("Creating: " + out_name + '.' + fmt)
    formats_list[fmt](mxd, output_folder + '\\' + out_name, "PAGE_LAYOUT", 0, 0, resolution)
